]> sipb.mit.edu Git - ikiwiki.git/blobdiff - debian/NEWS
web commit by joey
[ikiwiki.git] / debian / NEWS
index 130d1bd57fda7a6b3c2a9d798263dbc64211aebf..177fbc9ad2023de5e6b65e4cbecddb4cb0e12e18 100644 (file)
@@ -1,5 +1,7 @@
 ikiwiki (1.1) unstable; urgency=low
 
+  There have been several configuration changes in this release of ikiwiki:
+
   The --svn and --no-svn switches are removed, instead you should use
    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
   be changed to set rcs => "svn"; if your setup file sets svn => 0
@@ -7,10 +9,21 @@ ikiwiki (1.1) unstable; urgency=low
 
   The --hyperestraier switch is gone too. To enable searching, turn on the
   search plugin, by passing --plugin=search or through the plugin setting in
-  the config file.
+  the setup file.
+
+  The --sanitize and --no-sanitize switches are also gone, replaced with the
+  htmlscrubber plugin. This plugin is enabled by default, to disable it,
+  use --disable-plugin=htmlscrubber, or modify the plugin setting in the
+  setup file.
+
+  Discussion pages are enabled by default, but if your wiki is configured
+  with a setup file, you need to edit it to keep them enabled on upgrade
+  to this version. Add a line reading:
+  discussion => 1,
 
   You will need to rebuild your wiki when upgrading to this version.
   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
-  automatically.
+  automatically when the Debian package is upgraded. Or use
+  ikiiki-mass-rebuild to force a rebuild.
 
  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400